%define upstream_name    Object-Event
%define upstream_version 1.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    A class that provides an event callback interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(common::sense)
BuildArch: noarch

%{?perl_default_filter}

%description
This module was mainly written for the AnyEvent::XMPP manpage, the
AnyEvent::IRC manpage, the AnyEvent::HTTPD manpage and the BK manpage to
provide a consistent API for registering and emitting events. Even though I
originally wrote it for those modules I released it separately in case
anyone may find this module useful.

For more comprehensive event handling see also the Glib manpage and the POE
manpage.

This class provides a simple way to extend a class, by inheriting from this
class, with an event callback interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.230.0-10.mga6
+ Revision: 1031429
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.230.0-9.mga6
+ Revision: 971840
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 1.230.0-8.mga6
+ Revision: 893175
- rebuild with fixed deps

* Sun Oct 19 2014 umeabot <umeabot> 1.230.0-7.mga5
+ Revision: 790498
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.230.0-6.mga5
+ Revision: 749777
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.230.0-5.mga5
+ Revision: 732428
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.230.0-4.mga5
+ Revision: 685780
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.230.0-3.mga4
+ Revision: 513635
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.230.0-2.mga3
+ Revision: 371094
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 08 2011 kharec <kharec> 1.230.0-1.mga2
+ Revision: 179331
- imported package perl-Object-Event


* Thu Dec 08 2011 cpan2dist 1.23-1mga
- initial mageia release, generated with cpan2dist
